.all-posts {
  display: flex;
  flex-direction: column-reverse;
}

.content-wrapper {
  justify-content: flex-end;
  display: flex;
}

.section-left {
  width: 18%;
  height: inherit;
}

.question-block {
  padding: 25px 15px;
  text-align: center;
  border-bottom: 1.5px solid #eef1f8;

  button {
    padding: 15px;
    background-color: #3697d6;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
  }
}

.menu {
  padding: 10px 15px;
  border-bottom: 1.5px solid #eef1f8;

  ul {
    display: flex;
    flex-direction: column;
    margin: 0;
  }

  li {
    margin: 15px 0;
    color: #7b84a4;
    cursor: pointer;
  }
}

.categories-menu ul {
  display: none;
  padding-left: 30px;
}

.categories-menu:hover ul {
  display: block;

  li:last-child {
    margin-bottom: 0px;
  }
}

.social-net {
  display: flex;
  font-size: xx-large;
  justify-content: space-between;
  -webkit-justify-content: space-evenly;
  -moz-justify-content: space-evenly;
  justify-content: space-evenly;
  border-bottom: 1.5px solid #eef1f8;
  padding: 15px 20px 10px 20px;
  color: #7b84a4;
}

.facebook,
.twitter,
.google {
  background-image: url("../../assets/LR6bK.png");
  background-repeat: no-repeat;
  height: 41px;
  width: 41px;
}

.facebook {
  background-position: -348px -140px;

  &:hover {
    background-position: -348px -399px;
  }
}

.twitter {
  background-position: -863px -139px;

  &:hover {
    background-position: -863px -398px;
  }
}

.google {
  background-position: -218px -139px;

  &:hover {
    background-position: -218px -398px;
  }
}

.terms {
  color: #7b84a4;
  text-align: center;

  p:last-child {
    color: #3697d6;
    cursor: pointer;
  }
}

.section-middle {
  width: 64%;
  height: inherit;
  border-left: 1.5px solid #eef1f8;
}

.filter-block {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1.5px solid #eef1f8;
  padding: 10px 15px;

  select {
    background-color: #f4f5f9;
    border: 2px solid rgb(236, 236, 236);
    padding: 5px 80px 5px 0px;
    color: #7b84a4;
    font-size: 17px;
    letter-spacing: 0.3px;
  }
}

.show-block {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0px 15px;
  border-bottom: 1.5px solid #eef1f8;

  a {
    margin-right: 20px;

    &:hover {
      padding-bottom: 13.5px;
      border-bottom: 3px solid #f48c00;
    }
  }

  .questions-per-page {
    display: inherit;
    align-items: inherit;
    justify-content: inherit;

    p {
      margin-right: 10px;
    }

    select {
      background-color: #f4f5f9;
      border: 2px solid rgb(236, 236, 236);
      padding: 5px 20px 5px 0px;
      color: #7b84a4;
    }
  }
}

.section-right {
  width: 18%;
  height: inherit;
  background-color: #eef1f8;
}

.info {
  margin: 30px 15px;

  .questions-number {
    border-left: 4px solid #3697d6;
    margin-bottom: 25px;

    p {
      margin: 0;
    }

    p:first-child {
      font-weight: bold;
      margin-left: 10px;
    }

    p:nth-child(2) {
      font-size: 40px;
      margin-left: 10px;
      color: #19212e;
      font-weight: 900;
    }
  }

  .members-number {
    border-left: 4px solid #f48c00;

    p {
      margin: 0;
    }

    p:first-child {
      font-weight: bold;
      margin-left: 10px;
    }

    p:nth-child(2) {
      font-size: 40px;
      margin-left: 10px;
      color: #19212e;
      font-weight: 900;
    }
  }
}

.tags-block {
  margin: 0px 15px;

  h3 {
    margin-bottom: 0px;
    color: #19212e;
  }

  .pils2 {
    p {
      color: #3697d6;
      margin: 0;
    }
  }

  .pils2 ul {
    display: flex;
    flex-direction: column;

    li {
      background-color: #f4f5f9;
      color: #7b84a4;
      padding: 2px 6px;
      border-radius: 15px;
      border: 1px solid rgb(202, 197, 197);
      margin-bottom: 15px;
      width: fit-content;
      display: table;
      position: relative;
      -webkit-transition: width 300ms;
      transition: 300ms;

      &:hover {
        background-color: #f48c00;
        color: #19212e;
        -webkit-transition: width 300ms;
        transition: 300ms;
      }
    }

    span {
      position: absolute;
      right: -30px;
      top: 3px;
    }
  }
}

.hot-questions {
  margin: 30px 15px;

  h3 {
    color: #19212e;
    margin: 0;
  }

  ul {
    color: #3697d6;
    display: flex;
    flex-direction: column;

    li {
      margin-bottom: 15px;
      display: flex;
    }
    img {
      width: 30px;
      height: 30px;
      border-radius: 15px;
      margin-right: 10px;
    }
  }

  .user-questions-image {
    background-image: url("../../assets/admin.jpg");
    background-size: cover;
    width: 30px;
    height: 30px;
    border-radius: 30px;
    padding-right: 25px;
    margin-right: 5px;
    margin-top: 5px;
  }
}

/* nuo 1174 */
@media only screen and (min-width: 1174px) {
  .post-info {
    padding-top: 20px;
  }
}

/* iki 790 */
@media only screen and (max-width: 790px) {
  .content-wrapper {
    flex-direction: column;
  }

  .section-left {
    width: 100%;
    order: 3;

    .social-net {
      border-bottom: none;
    }
  }

  .section-middle {
    width: 100%;
    order: 1;

    .filter-block {
      flex-direction: column;
      padding-bottom: 15px;

      select {
        font-size: 12px;
      }
    }

    .show-block {
      padding: 15px 15px;
      flex-direction: column;

      div a:hover {
        padding-bottom: 0px;
      }

      .questions-per-page {
        font-size: 14px;
      }
    }
  }

  .section-right {
    width: 100%;
    order: 2;

    .info {
      display: flex;
      justify-content: space-around;

      .questions-number {
        margin-bottom: 0px;
      }
    }

    .pils2 ul {
      flex-direction: row !important;
      flex-wrap: wrap;

      li {
        margin-right: 30px;
      }

      span {
        right: -20px !important;
      }
    }

    .user-questions-image {
      padding-right: 13px;
      width: 45px;
      height: 35px;
    }
  }
}

@media only screen and (max-width: 788px) and (min-width: 420px) {
  .user-questions-image {
    width: 25px;
    height: 37px;
  }
}

@media only screen and (max-width: 321px) {
  .pils li {
    font-size: 12px;
  }

  .user-questions-image {
    padding-right: 15px;
    width: 30px;
    height: 30px;
  }
}

p {
  color: #7b84a4;
}

a {
  color: #7b84a4;
  text-decoration: none;
}
